<?php

 function formulario_crear_empresa($nombre_usuario, $password)
 { 
  echo"<form name=\"form\" action=\"guarda_datos_empresa.php\" method=\"GET\" enctype=\"multipart/form-data\">";
  echo"<center>";
   echo"<table class=primaria width=65% border=0>";
   echo"<tr class=miTable_tr>";
    echo"<TH colspan=2 class=miTable_th1>Creacion de Empresa</TH>";
   echo"</tr>"; 
   //primera fila
    echo"<tr class=miTable_tr>";
	 echo"<td class=miTable_td>Nombre: </td><td class=miTable_td><input type=text name=nombre class=inputbox size=30 maxlength=20><font color=red size=1>(maximo 20 Caracteres)</font></td>";
	echo"</tr>"; 
	echo"<tr class=miTable_tr>"; 
	 echo"<td class=miTable_td>Nit: </td><td class=miTable_td><input type=text name=nit class=inputbox size=10></td>"; 
	echo"</tr>";   
   //segunda fila
    echo"<tr class=miTable_tr>";
	 echo"<td class=miTable_td>Direccion: </td><td class=miTable_td><input type=text name=direccion class=inputbox size=50></td>";
	 echo"</tr>"; 
	 echo"<tr class=miTable_tr>"; 
	 echo"<td class=miTable_td>Telefono 1: </td><td class=miTable_td><input type=text name=telefono1 class=inputbox size=10></td>";
	echo"</tr>";
   //tercera fila
    echo"<tr class=miTable_tr>";
	 echo"<td class=miTable_td><font color=RED>**</font>Telefono 2: </td><td class=miTable_td><input type=text name=telefono2 class=inputbox size=10></td>";
	 echo"</tr>"; 
	 echo"<tr class=miTable_tr>"; 
	 echo"<td class=miTable_td><font color=RED>**</font>Fax: </td><td class=miTable_td><input type=text name=fax class=inputbox size=10></td>";
	echo"</tr>";
   //cuarta fila
    echo"<tr class=miTable_tr>";
	 echo"<td class=miTable_td>E mail: </td><td class=miTable_td><input type=text name=email class=inputbox size=30></td>"; 
	 echo"</tr>"; 
	 echo"<tr class=miTable_tr>"; 
	 echo"<td class=miTable_td>Nombre de Usuario: </td><td class=miTable_td><input type=text name=usuario class=inputbox size=20></td>"; 
	echo"</tr>";   	
	//quinta fila
	//cuarta fila
    echo"<tr class=miTable_tr>";
	 echo"<td class=miTable_td>Contrase&ntilde;a: </td><td class=miTable_td><input type=password name=contrasena class=inputbox size=20></td>"; 
	 echo"</tr>"; 
	 echo"<tr class=miTable_tr>"; 
	 echo"<td class=miTable_td>Confirmar Contrase&ntilde;a: </td><td class=miTable_td><input type=password name=confirmacion_contrasena class=inputbox size=20></td>"; 
	echo"</tr>";   	
	echo"<tr class=miTable_tr>"; 
	 echo"<td class=miTable_td>Url Busqueda de Imagenes:</td><td class=miTable_td><input type=text name=path class=inputbox  value= http:// size=40></td>"; 
	echo"</tr>";   	
	echo"<tr class=miTable_tr>"; 
	 echo"<td class=miTable_td>IP Base de Datos:</td><td class=miTable_td><input type=text name=base_datos class=inputbox  value= http:// size=40>(en prueba)</td>"; 
	echo"</tr>";
	//quinta fila
	echo"<tr class=miTable_tr>"; 
	 echo"<td class=miTable_td>Nombre del folder:</td><td class=miTable_td><input type=text name=folder class=inputbox size=15></td>"; 
	echo"</tr>";
	//quinta fila
	echo"<tr class=miTable_tr>"; 
	 echo"<td class=miTable_td>Imagenes Multiples(tif):</td><td class=miTable_td>&nbsp;&nbsp;<input type=checkbox name=imagenes_multiples class=inputbox size=15></td>";
	echo"</tr>";
	//quinta fila
	echo"<tr class=miTable_tr>"; 
	 echo"<td class=miTable_td>Menu's: </td>";
	 echo"<td class=miTable_td>";
	  echo"<TABLE border=0 align=center width=100%>";
	   mostrar_menus();
	  echo"</TABLE>";
	 echo"</td>"; 
	echo"</tr>";
	echo"<tr class=miTable_tr>";
	 echo"<td class=miTable_td>";
	  echo"Estados de Procesos: ";
	 echo"</td>";
	 echo"<td class=miTable_td>";
	  echo"<select name=estados_procesos class=inputbox>";
	   echo"<option value=0>0</option>";
	   echo"<option value=1>1</option>";
	   echo"<option value=2>2</option>";
	   echo"<option value=3>3</option>";
	   echo"<option value=4>4</option>";
	   echo"<option value=5>5</option>";
	   echo"<option value=6>6</option>";
	   echo"<option value=7>7</option>";
	   echo"<option value=8>8</option>";
	   echo"<option value=9>9</option>";
	   echo"<option value=10>10</option>";
	  echo"</select>";
	 echo"</td>";
	echo"</tr>";
    echo"<tr class=miTable_tr>";
	 echo"<input type=hidden value=$nombre_usuario name=nombre_usuario>";
	 echo"<input type=hidden value=$password name=password>";
	 ?>
	 <td class="miTable_td">&nbsp;</td>
	 <td class="miTable_td"><div align="left"><input type=submit value=Guardar name=\"envia\" onClick="validarforma('nombre','','R','password','','R','nit','','R','password','','R','direccion','','R','password','','R','telefono1','','R','password','','R','email','','R','password','','R','usuario','','R','contrasena','','R','confirmacion_contrasena','','R','path','','R');return document.MM_returnValue" class=inputbox></div></td>	
	 <?php
	echo"<tr class=miTable_tr>";
    echo"<TH colspan=2 class=miTable_th1><font size=1 color=red><div align=right>**Datos no requeridos</div></font></TH>";
   echo"</tr>"; 
   echo"</table>";
   echo"</center>";
  echo"</form>";     
 }
 
 function crear_cliente($nit_empresa)
  {   
  echo"<form name=\"form\" action=\"guarda_datos_cliente.php\" method=\"POST\"  enctype=\"multipart/form-data\">";
  echo"<center>";
   echo"<table class=primaria width=60% border=0>";
   echo"<tr class=miTable_tr>";
    echo"<TH colspan=2 class=miTable_th1>Creacion de Cliente</TH>";
   echo"</tr>";
   //primera fila
    echo"<tr class=miTable_tr>";
	 echo"<td class=miTable_td>Nombre: </td><td class=miTable_td><input type=text name=nombre_cliente class=inputbox size=50></td>";
	echo"</tr>"; 
	echo"<tr class=miTable_tr>"; 
	 echo"<td class=miTable_td>Codigo: </td><td class=miTable_td><input type=text name=codigo class=inputbox size=10></td>"; 
	echo"</tr>";   
   //segunda fila
    echo"<tr>";
	 echo"<td class=miTable_td>Direccion: </td><td class=miTable_td><input type=text name=direccion class=inputbox size=50></td>";
	echo"</tr>"; 
	echo"<tr class=miTable_tr>"; 
	 echo"<td class=miTable_td>Telefono 1: </td><td class=miTable_td><input type=text name=telefono1 class=inputbox size=10></td>";
	echo"</tr>";
   //tercera fila
    echo"<tr>";
	 echo"<td class=miTable_td><font color=RED>**</font>Telefono 2: </td><td class=miTable_td><input type=text name=telefono2 class=inputbox size=10></td>";
	echo"</tr>"; 
	echo"<tr class=miTable_tr>"; 
	 echo"<td class=miTable_td><font color=RED>**</font>Fax: </td><td class=miTable_td><input type=text name=fax class=inputbox size=10></td>";
	echo"</tr>";
   //cuarta fila
    echo"<tr>";
	 echo"<td class=miTable_td>E mail: </td><td class=miTable_td><input type=text name=email class=inputbox size=30></td>"; 
	echo"</tr>"; 
	echo"<tr class=miTable_tr>";  
	 echo"<td class=miTable_td>Nombre de Usuario: </td><td class=miTable_td><input type=text name=usuario class=inputbox size=20></td>"; 
	echo"</tr>";   	
	//quinta fila
	//cuarta fila
    echo"<tr>";
	 echo"<td class=miTable_td>Contrase&ntilde;a: </td><td class=miTable_td><input type=password name=contrasena class=inputbox size=20></td>"; 	echo"</tr>"; 
	echo"<tr class=miTable_tr>"; 
	 echo"<td class=miTable_td>Confirmar Contrase&ntilde;a: </td><td class=miTable_td><input type=password name=confirmacion_contrasena class=inputbox size=20></td>"; 
	echo"</tr>";
	echo"<tr class=miTable_tr>";
	 echo"<td class=miTable_td>Cargar Logo: </td><td class=miTable_td><input type=file name=logo class=inputbox size=20>(en pruebas)</td>"; 
	echo"</tr>";
	//quinta fila
	
	/*echo"<tr class=miTable_tr>"; 
	 echo"<td class=miTable_td>Tipo de Usuario: </td>";
	 echo"<td class=miTable_td>"; 
	  echo"<select name=tipo_usuario class=inputbox>";
	   echo"<option value=2>Cliente Externo</option>";
	   echo"<option value=3>Cliente Interno</option>";
	   echo"<option value=4>Administrador Operativo</option>";
	  echo"</select>";
	 echo"</td>";
	echo"</tr>";*/
	
	
	echo"<tr class=miTable_tr>"; 
	 echo"<td class=miTable_td>Menu's </td>";
	 echo"<td class=miTable_td><TABLE border=0 align=center width=100%>"; 
	  mostrar_menus_administrador();
	 echo"</TABLE></td>";
	echo"</tr>";
	
	
	/*echo"<TR class=miTable_tr>";
	 echo"<td class=miTable_td>Opciones de Menu: </td>";
	 echo"<td class=miTable_td>";
	  opciones_menu();
	 echo"</td>";
	echo"</TR>";*/
		
	echo"<input type=hidden value=$nit_empresa name=nit_empresa>";
	echo"<input type=hidden value=$nombre_usuario name=nombre_usuario>";
	echo"<input type=hidden value=$password name=password>";
    echo"<tr class=miTable_tr>";	 
	 ?>	 
	 <td class=miTable_td>&nbsp;</td> 
	 <td class=miTable_td><input type=submit value=Guardar name=\"envia\" onClick="validarforma('nombre','','R','password','','R','nit','','R','password','','R','direccion','','R','password','','R','telefono1','','R','password','','R','email','','R','password','','R','usuario','','R','contrasena','','R');return document.MM_returnValue" class=inputbox></td>	
	 <?php
	echo"</tr>";
	echo"<tr class=miTable_tr>";	 
	 echo"<TH class=miTable_th1 colspan=2><font size=1 color=red><div align=right>**Datos no requeridos</div></font></th>";
	echo"</tr>";   		
   echo"</table>";
   echo"</center>";
  echo"</form>";  
  }
  
  function formualrio_Consulta_administrador($nit_empresa)
  {
   ?>
    <center>
	 <form action="guarda_consulta_administrador.php" method="POST">
	 <table width="60%" border="0">
	  <tr class="MiTable_tr">
	   <th class="miTable_th1" colspan="2">Creacion de Usuario Consulta Administrador</th>	    
	  </tr>
	  <tr class="MiTable_tr">
	   <td class="miTable_td">Nombre: </td>
	   <td class="miTable_td"><input type="text" size="30" name="nomb" class="inputbox"> </td>	   
	  </tr>
	  <tr class="MiTable_tr">
	   <td class="miTable_td">Nombre Usuario: </td>
	   <td class="miTable_td"><input type="text" size="20" name="usuario" class="inputbox"> </td>	   
	  </tr>
	  <tr class="MiTable_tr">
	   <td class="miTable_td">Contrase&ntilde;a: </td>
	   <td class="miTable_td"><input type="password" size="15" name="pas" class="inputbox"> </td>	   
	  </tr>
	  <tr class="MiTable_tr">
	   <td class="miTable_td">Confirmar Contrase&ntilde;a: </td>
	   <td class="miTable_td"><input type="password" size="15" name="confirmar_password" class="inputbox"> </td>	   
	  </tr>
	  <input type="hidden" name="nit_empresa" value="<?echo $nit_empresa?>">
	  <tr class="MiTable_tr">
	   <th class="miTable_th1" colspan="2"><div align="right"><input type="submit" value="Guardar" class="inputbox"></div></th>	    
	  </tr>
	 </table>	 
	 </form>
	</center>
   <?php
  }
 
 /* function configurar_cliente($color)
  {
   $usuario = $_POST["nombre_u"];
   $password = $_POST["pass"];
   echo "<BR><FONT color=$color>Escoja su Cliente a Crear: </FONT><BR>";
   $sql="SELECT * FROM usuarios WHERE usuario LIKE '$usuario' AND password LIKE '$password'";
   $resultado=mysql_db_query("virtualcourrier", "$sql") or die("<HR><font class=\"font_errores\">Proceso Terminado Consulte con el Grupo de Desarrollo Error No. 1.1 /</font>" . mysql_errno() . "<BR><hr>"); 
   $row=mysql_fetch_array($resultado);
   $id_empresa = $row["id_empresa"];   
      
   $sql="SELECT * FROM empresa WHERE id LIKE '$id_empresa'";
   $resultado=mysql_db_query("virtualcourrier", "$sql") or die("<HR><font class=\"font_errores\">Proceso Terminado Consulte con el Grupo de Desarrollo Error No. 1.2 /</font>" . mysql_errno() . "<BR><hr>"); 
   $row=mysql_fetch_array($resultado);   
   $nit=$row["nit"];
   echo"<BR><BR>";
   
   $sql="SELECT * FROM empresa_cliente WHERE nit_empresa LIKE '$nit'";
   $resultado=mysql_db_query("virtualcourrier", "$sql") or die("<HR><font class=\"font_errores\">Proceso Terminado Consulte con el Grupo de Desarrollo Error No. 1.3 /</font>" . mysql_errno() . "<BR><hr>"); 
   $filas=mysql_num_rows($resultado);
   
   
   $array_clientes[$filas];
   $i=0;
   while($row=mysql_fetch_array($resultado))
    {
	 $array_clientes[$i]=$row["nit_cliente"];	 
	 $i++;
	}
   
   $filas=count($array_clientes);
	
   echo"<FORM action=confugura_cliente.php method=POST>";
   echo"<TABLE width=60% border=0>";
   echo"<TR>";
   echo"<TD><B>Seleccione la Empresa: </B></TD>";
   echo"<TD><div align=right><SELECT name=nombre_cliente class=inputbox>";
   for($i=0; $i<=$filas-1; $i++)
    {
	 $sql="SELECT * FROM cliente WHERE nit LIKE '".$array_clientes[$i]."'";
     $resultado=mysql_db_query("virtualcourrier", "$sql") or die("<HR><font class=\"font_errores\">Proceso Terminado Consulte con el Grupo de Desarrollo Error No. 1.4 /</font>" . mysql_errno() . "<BR><hr>"); 
	 $row=mysql_fetch_array($resultado);
	 $nombre=$row["nombre"];	 
	 echo"<option>$nombre</option><BR>";
	}
   echo"</SELECT></div></TD>";
   echo"</TR>";
   echo"<TR>";
   echo"<TD><B>Cuantos campos desea Adicionar?</B></TD>";
   echo"<TD><div align=right><INPUT type=TEXT name=campos class=inputbox></div></TD>";
   echo"</TR>";
   ?>
   <TR><TD colspan="2"><div align=right>
   <input type=submit value=Crear name=\"envia\" onClick="validarforma('campos','','R');return document.MM_returnValue" class=inputbox>
   </div></TD></TR>
   <?php
   echo"</TABLE>";
   echo"</FORM>";
   echo"<BR>";   
  }*/
  
  
  
  function formulario_edita_estado($id, $color)
  {
   $sql="SELECT * FROM estado WHERE id LIKE $id";
   $resultado=mysql_db_query("virtualcourrier", "$sql") or die("<HR><font class=\"font_errores\">Proceso Terminado Consulte con el Grupo de Desarrollo Error No. 1.3 /</font>" . mysql_errno() . "<BR><hr>");    
   $filas=mysql_num_rows($resultado);
   if ($filas>0)
    {
	 $row=mysql_fetch_array($resultado);
	 ?>
	  <BR>
	  <form action="guarda_edicion_estado.php" method="POST">
	  <table width="35%" border="0">
	   <tr>
	    <td width="50%"><B>Nombre: </B></td>
		<td width="50%"><div align="right">
			<input type="text" name="nombre_estado" value="&lt;?echo &quot;&quot;.$row[&quot;nombre&quot;].&quot;&quot;?&gt;" class="inputbox"?>" class=inputbox></div></td>
	   </tr>
	   <tr>
		<td width="50%"><B>Codigo: </B></td>
		<td width="50%"><div align="right">
			<input type="text" name="codigo" value="&lt;?echo &quot;&quot;.$row[&quot;codigo&quot;].&quot;&quot;?&gt;" class="inputbox"?>" class=inputbox></div></td>
	   </tr>
	   <tr>
	    <input type="hidden" name="id" value="&lt;?echo&quot;$id&quot;;?&gt;"?>">
	    <td colspan="2"><div align="right"><input type="submit" value="Guardar cambios" class=inputbox></div></td>
	   </tr>
	  </table>
	  </form>
	 <?php
	}
   else
    {
	 echo"<CENTER>No existen estados</CENTER>";
	}
  }
  
  function selecciona_empresa($programa, $boton, $titulo)
  {
   ?>
   <center>
    <form action="<?echo $programa?>" method="POST">	
	 <table width="50%" border="0">	  
	   <tr class="miTable_tr">
       <TH colspan=2 class=miTable_th1><?php echo $titulo;?></TH>
       </tr>
       <tr class="miTable_tr">
	   <td class="miTable_td">Seleccione Empresa</td>
	   <td class="miTable_td">
	   <div align="left">
	   <SELECT name="empresa" class="inputbox">
	     <option></option>
	    <?php		
	    $sql="SELECT nombre FROM empresa ORDER BY nombre";
	    $resultado=mysql_db_query("virtualcourier","$sql") or die("<HR><font class=\"font_errores\">Proceso Terminado Consulte con el Grupo de Desarrollo Error No. 3.1.1 /</font>" . mysql_errno() . "<BR><hr>");
	    while($row=mysql_fetch_array($resultado))
	      {
	 	    echo"<OPTION>".$row['nombre']."</option>";
 		  }
	    ?>
	   </SELECT></div>
	   </td>
	  </tr>
	  <tr>
	   <td class="miTable_td"></td>
	   <td class="miTable_td"><div align="left">
		<input type="submit" value="<? echo"$boton";?>" class="inputbox"?>" class="inputbox"?>" class="inputbox"></div></td>
	  </tr>
	  <tr class="miTable_tr">
       <TH colspan=2 class=miTable_th1>&nbsp;</TH>
       </tr>
	 </table>
	</form>
	</center>
   <?php
  }
  
  function seleccionar_empresa_emparejamiento($programa, $boton, $titulo)
  {
   ?>
   <center>
    <form action="<?echo $programa?>" method="POST">	
	 <table width="40%" border="0">	  
	   <tr class="miTable_tr">
       <TH colspan=4 class=miTable_th1><?php echo $titulo;?></TH>
       </tr>
       <tr class="miTable_tr">
	   <td class="miTable_td">Seleccione Empresa VC</td>	  
	   <td class="miTable_td">Seleccione Empresa Antiguo </td> 	   
	   </TR>
	   <TR>
	   <td class="miTable_td">
	   <div align="center">
	   <SELECT name="empresa" class="inputbox">
	     <option></option>
	    <?php		
	    $sql="SELECT nombre FROM empresa ORDER BY nombre";
	    $resultado=mysql_db_query("virtualcourier","$sql") or die("<HR><font class=\"font_errores\">Proceso Terminado Consulte con el Grupo de Desarrollo Error No. 3.1.1 /</font>" . mysql_errno() . "<BR><hr>");
	    while($row=mysql_fetch_array($resultado))
	      {
	 	    echo"<OPTION>".$row['nombre']."</option>";
 		  }
	    ?>
	   </SELECT></div>
	   </td>	   	   
	   <td class="miTable_td">
	   <div align="center">
	    <?php 
		 seleccionar_empresa_antiguo();
		?>
		</div>
	   </td>
	  </tr>	  
	  <tr class="miTable_tr">	   
	   <th class="miTable_th1" colspan="2"><div align="right">
		<input type="submit" value="<? echo"$boton";?>" class="inputbox"?>" class="inputbox"?>" class="inputbox"></div></form></th>
	  </tr>	  
	  <form action="migracion_rastreo.php">
	  <tr class="miTable_tr">
	   <th class="miTable_th1" colspan="2"><div align="right">	    
	    <input type="submit" value="Migracion Rastreo" class="inputbox">	   
	   </div></form></th>
	  </tr>
	  </form>	  
	 </table>
	 <?php	/*
	 <center>
	 <table width="40%" border="0">
	  <tr>
	   <td>
	    <form action="emparejar_ip.php" method="POST">
		 <center>
		 Ip: <input type="text" name="ip" size="14" class="inputbox">
		 Usuario: <input type="text" name="usuario" size="7" class="inputbox">
		 Password: <input type="text" name="cont" size="13" class="inputbox">
		 </center>
		 <input type="submit" value="Emparejar Internet" class="inputbox">
		 
		</form>
	   </td>
	  </tr>
	 </table>
	 </center>*/
	 ?>
	</center>
   <?php
  }
  
  function formulario_editar_empresa($empresa)
  {
   ?>
   <center>
   <form action="guarda_edicion_empresa.php" method="POST">
   <table width="60%" border="0">
    <tr class="miTable_tr">
       <TH colspan=2 class=miTable_th1>Edicion de Empresa</TH>
    </tr>
    <tr class="miTable_tr">
	 <td class="miTable_td">Nombre: </td><td class="miTable_td"><div align="left"><input  size="50" type="text" name="nombre" value="<?php tomar_campo($empresa, $valor=nombre, $tabla=empresa);?>" class="inputbox"></div></td>
    </tr>	 
	<tr class="miTable_tr">
	 <td class="miTable_td">Direccion: </td><td class="miTable_td"><div align="left"><input size="50" type="text" name="direccion" value="<?php tomar_campo($empresa, $valor=direccion, $tabla=empresa);?>" class="inputbox"></div></td>
	</tr>
	<tr class="miTable_tr">
	 <td class="miTable_td">Telefono: </td><td class="miTable_td"><div align="left"><input size="10" type="text" name="telefono1" value="<?php tomar_campo($empresa, $valor=telefono1, $tabla=empresa);?>" class="inputbox"></div></td>
    </tr>	 
	<tr class="miTable_tr">	 
	 <td class="miTable_td">Telefono: </td><td class="miTable_td"><div align="left"><input size="10" type="text" name="telefono2" value="<?php tomar_campo($empresa, $valor=telefono2, $tabla=empresa);?>" class="inputbox"></div></td>
	</tr>
	<tr class="miTable_tr">
	 <td class="miTable_td">fax: </td><td class="miTable_td"><div align="left"><input size="10" type="text" name="fax" value="<?php tomar_campo($empresa, $valor=fax, $tabla=empresa);?>" class="inputbox"></div></td>
    </tr>	 
	<tr class="miTable_tr">	 
	 <td class="miTable_td">email: </td><td class="miTable_td"><div align="left"><input size="40" type="text" name="email" value="<?php tomar_campo($empresa, $valor=email, $tabla=empresa);?>" class="inputbox"></div></td>
	</tr>
	<tr class="miTable_tr">	 
	 <td class="miTable_td">Url Path: </td><td class="miTable_td"><div align="left"><input size="40" type="text" name="path" value="<?php tomar_campo($empresa, $valor=path, $tabla=empresa);?>" class="inputbox"></div></td>
	</tr>
	<tr class="miTable_tr">	 
	 <td class="miTable_td">IP Base de Datos: </td><td class="miTable_td"><div align="left"><input size="40" type="text" name="base_datos" value="<?php tomar_campo($empresa, $valor=base_datos, $tabla=empresa);?>" class="inputbox"></div></td>
	</tr>
	<tr class="miTable_tr">	 
	 <td class="miTable_td">Imagenes Multiples(tif): </td><td class="miTable_td"><div align="left"><?php $valor_check=tomar_campo_img_tiff($empresa);?><input type="checkbox" name="imagenes_multiples" <?php echo $valor_check?>></div></td>
	</tr>
	<tr class="miTable_tr">	 
	 <td class="miTable_td">Menu's: </td>
	 <td class="miTable_td"><div align="left">	 
	  <?php mostrar_menus_empresa($empresa);?>
	 </td>
	</tr>
	<tr class="miTable_tr">	 
	 <td class="miTable_td">Habilitar: </td><td class="miTable_td"><?php ver_estado_usuario($empresa); ?><div align="left"></div></td>
	</tr>
	<tr class="miTable_tr">	 
	 <td class="miTable_td">Usuario/Paswd </td><td class="miTable_td">
	  <center>
	   <A HREF="ver_nombre_usuario_paswd.php?empresa=<?php echo $empresa?>", onClick="window.open('ver_nombre_usuario_paswd.php?empresa=<?php echo $empresa?>','window','width=400,height=200'); return false"> 
	    <IMG src="/virtualcourier/imagenes/recursos/usuariopaswd.png" width="16" height="16" border="0" ALT="Ver usuario pasword"  TITLE="Ver usuario pasword">
	   </A> 
	  </center> 
	 </td>
	</tr>
	<tr class="miTable_tr">
	 <td class="miTable_td">Estados de Proceso: </td>
	 <td class="miTable_td">
	  <center>
	  <?php 
	  $No_estado_proceso=ver_estado_proceso($empresa);
	  echo"(".$No_estado_proceso.")";	  
	  echo"<select name=estados_procesos class=inputbox>";
	   echo"<option value=0>0</option>";
	   echo"<option value=1>1</option>";
	   echo"<option value=2>2</option>";
	   echo"<option value=3>3</option>";
	   echo"<option value=4>4</option>";
	   echo"<option value=5>5</option>";
	   echo"<option value=6>6</option>";
	   echo"<option value=7>7</option>";
	   echo"<option value=8>8</option>";
	   echo"<option value=9>9</option>";
	   echo"<option value=10>10</option>";
	  echo"</select>";
	  ?>	
	  </center>  
	 </td>
	</tr>
	<tr class="miTable_tr">
	 <input type="hidden" name="estados_procesos_antes" value="<? echo"".$No_estado_proceso; ?>" ?>" ?>">
	 <input type="hidden" name="id" value="<? tomar_campo($empresa, $valor=id, $tabla=empresa); ?>">
	 <input type="hidden" name="empresa" value="&lt;?echo&quot;&quot;.$empresa;?&gt;"?>">	 
	 <td class="miTable_td">&nbsp;</td>
	 <td class="miTable_td"><div align="left"><input type="submit" value="Cambiar" class="inputbox"></div></td>
	</tr>
	<tr class="miTable_tr">
       <TH colspan=2 class=miTable_th1>&nbsp;</TH>
    </tr>
   </table>
   </form>
   </center>
   <?php
  }
  
  function selecciona_cliente($tabla)  
  {
   ?>
   <center>
    <form action="edita_cliente.php" method="POST">
	 <table width="50%" border="0">
	  <tr class="miTable_tr">
       <TH colspan=2 class="miTable_th1">Edicion de Cliente</TH>
      </tr>
	  <tr class="miTable_tr">
	   <td class="miTable_td">Seleccione Cliente: </td>
	   <td class="miTable_td">
	   <div align="left">
	   <select name="cliente" class="inputbox">
	   <?
	    $sql="SELECT nombre, codigo FROM $tabla ORDER BY nombre";	     
		$resultado=mysql_db_query("virtualcourier","$sql") or die("<HR><font class=\"font_errores\">Proceso Terminado Consulte con el Grupo de Desarrollo Error No. 2.1.7 /</font>" . mysql_errno() . "<BR><hr>");
		$filas=mysql_num_rows($resultado);		
		while($row=mysql_fetch_array($resultado))
		 {
		  echo"<option value=".$row['codigo']." title=\"".$row['nombre']."\">".$row['nombre']."</option>";
		 }
	   ?>
	   </select></div>
	   </td>
	  </tr>
	  <tr class="miTable_tr">
	   <input type="hidden"  name="tabla" value="<?php echo $tabla;?>"> 
	   <td class="miTable_td">&nbsp;</td>
	   <td colspan="2" class="miTable_td"><div align="left"><input type="submit" value="Editar" class="inputbox"></div></td>
	  </tr>
	  <tr class="miTable_tr">
       <TH colspan=2 class="miTable_th1">&nbsp;</TH>
      </tr>
	 </table>
	</form>
   </center>
   <?php
  }
    
  
function formulario_editar_cliente($cliente, $tabla, $nit_empresa, $perfil)
{
 ?> 
 <center>
   <form action="guarda_edicion_cliente.php" method="POST" enctype="multipart/form-data">
   <table width="60%" border="0">
    <tr class="miTable_tr">
       <TH colspan=2 class="miTable_th1">Edicion de Cliente</TH>
    </tr>
    <tr class="miTable_tr">
	 <td class="miTable_td">Nombre: </td><td class="miTable_td"><div align="left"><input type="text" name="nombre_cliente" value="<?php $nombre=tomar_campo_cliente($cliente, $valor=nombre, $tabla);?>" class="inputbox" size="50"></div></td>
	</tr> 
	<tr class="miTable_tr">
	 <td class="miTable_td">Direccion: </td><td class="miTable_td"><div align="left"><input type="text" name="direccion" value="<?php tomar_campo_cliente($cliente, $valor=direccion, $tabla);?>" class="inputbox" size="50"></div></td>
	</tr>
	<tr class="miTable_tr">
	 <td class="miTable_td">Telefono: </td><td class="miTable_td"><div align="left"><input type="text" name="telefono1" value="<?php tomar_campo_cliente($cliente, $valor=telefono1, $tabla);?>" class="inputbox" size="10"></div></td>
	</tr>
	<tr class="miTable_tr">
	 <td class="miTable_td">Telefono: </td><td class="miTable_td"><div align="left"><input type="text" name="telefono2" value="<?php tomar_campo_cliente($cliente, $valor=telefono2, $tabla);?>" class="inputbox" size="10"></div></td>
	</tr>
	<tr class="miTable_tr">
	 <td class="miTable_td">fax: </td><td class="miTable_td"><div align="left"><input type="text" name="fax" value="<?php tomar_campo_cliente($cliente, $valor=fax, $tabla);?>" class="inputbox" size="10"></div></td>
	</tr>
	<tr class="miTable_tr">
	 <td class="miTable_td">email: </td><td class="miTable_td"><div align="left"><input type="text" name="email" value="<?php tomar_campo_cliente($cliente, $valor=email, $tabla);?>" class="inputbox" size="30"></div></td>
	</tr>
	<tr class="miTable_tr">
	 <td class="miTable_td">Logo: </td><td class="miTable_td"><div align="left"><input type="file" name="logo" value="<?php tomar_campo_cliente($cliente, $valor=logo, $tabla);?>" class="inputbox" size="30"></div></td>
	</tr>
	<tr class="miTable_tr">
	 <td class="miTable_td">Nombre de usuario: </td><td class="miTable_td"><div align="left"><input type="text" name="n_usuario" value="<?php tomar_nombre_usuario($cliente, $valor=codigo_cliente, $perfil, $nit_empresa);?>" class="inputbox" size="30"></div></td>
	</tr>
	<tr class="miTable_tr">
	 <td class="miTable_td">Clave: </td><td class="miTable_td"><div align="left"><?php tomar_clave($cliente, $valor=codigo_cliente, $perfil, $nit_empresa);?></div></td>
	</tr>
	<tr class="miTable_tr">
	 <td class="miTable_td">Menus: </td><td class="miTable_td"><div align="left"><?php mostrar_menus_cliente($nombre);?></div></td>
	</tr>
	<tr class="miTable_tr">
	 <td class="miTable_td">Habilitar: </td><td class="miTable_td"><div align="left"><?php ver_estado_cliente($cliente, $nit_empresa, $perfil);?></div></td>
	</tr>
	<tr class="miTable_tr">
	 <input type="hidden" name="id" value="<? tomar_campo_cliente($cliente, $valor=id, $tabla); ?>">
	 <input type="hidden" name="tabla" value="<? echo $tabla; ?>">
	 <input type="hidden" name="perfil" value="<? echo $perfil; ?>">
	 <input type="hidden" name="codigo_cliente" value="<? echo $cliente; ?>">
	 <Td class="miTable_td">&nbsp;</td>
	 <td class="miTable_td"><div align="left"><input type="submit" value="Cambiar" class="inputbox"></div></td>
	</tr>
	<tr class="miTable_tr">
	 <th class="miTable_th1" colspan="2">&nbsp;</th>
	</tr>
   </table>
   </form>
   </center>
   <?php
}



function adicion_campo($tabla)
{
 ?>
 <form action="adiciona_campos.php" method="POST">
  <input type="hidden" name="tabla" value="<? echo $tabla; ?>">
  <input type="submit" value="Adicionar Campos" class="inputbox">
 </form> 
 <?php
}

function cantidad_campos($tabla)
 {
  ?>
   <center>
   <form action="crea_campos.php" method="POST">
   <TABLE width=50% border=0>
   <tr class="miTable_tr">
    <th  class="miTable_th1" colspan="2">Adiciona Campos</th>
   </tr>
    <tr class="miTable_tr">
	 <td class="miTable_td">Cuantos Campos desea Adicionar:</td>
	 <td class="miTable_td"><div align="left"><input type="text" name="campos" class="inputbox" size="5"></div></td>
	</tr>
	<tr class="miTable_tr">
	 <input type="hidden" name="tabla" value="<? echo $tabla; ?>">
	 <td class="miTable_td">&nbsp;</td>
	 <td class="miTable_td"><div align="left"><input type="submit" value="Crear" class="inputbox"></div></td>
	</tr>
	<tr class="miTable_tr">
    <th  class="miTable_th1" colspan="2">&nbsp;</th>
   </tr>
   </TABLE>
   </form>
   </center> 
  <?php
 }

 function construye_plantilla($tabla, $campos, $nit)
  {
   echo"<CENTER><FORM action=carga_configuracion_tabla.php method=POST>";
		 echo"<TABLE border=0 width=90%>";
		 echo"<TR class=miTable_tr>";
		  echo"<TH colspan=8 class=miTable_th1>Construccion de Plantilla</Th>";
		 echo"</TR>";
		 echo"<TR class=miTable_tr>";
		  echo"<Th class=miTable_th1></TD>";
		  echo"<Th class=miTable_th1><center>Nombre</center></TD>";
		  echo"<Th class=miTable_th1><center>Tipo</center></TD>";
		  echo"<Th class=miTable_th1><center>Longitud</center></TD>";
		  echo"<Th class=miTable_th1><center>Nulo</center></TD>";
		  echo"<Th class=miTable_th1><center>Busqueda</center></TD>";
		  echo"<Th class=miTable_th1><center>Resultado</center></TD>";
		 echo"</TR>";
		
		for($i=0; $i<=$campos-1; $i++)
		 {
		  echo"<TR class=miTable_tr>";
		   echo"<TD class=miTable_td>";
		    $t=$i+1;
		    echo"$t";
		   echo"</TD>";
		  
		   echo"<TD class=miTable_td>";
		    echo"<input type=text name=nombreCampo$i class=inputbox size=20>";
		   echo"</TD>";
		   
		   echo"<TD class=miTable_td>";
		   echo"<CENTER>";
		    echo"<select name=tipoCampo$i class=inputbox>";
			 echo"<option>VARCHAR</option>";
			 echo"<option>CHAR</option>";
			 echo"<option>INT</option>";
			 echo"<option>DOUBLE</option>";
			 echo"<option>FLOAT</option>";			 
			echo"</select>";
		   echo"</CENTER>";
		   echo"</TD>";
		   
		   echo"<TD class=miTable_td>";
		    echo"<input type=text name=longitudCampo$i class=inputbox size=20>";
		   echo"</TD>";
		   
		   echo"<TD class=miTable_td>";
		    echo"<SELECT name=nuloCampo$i class=inputbox>";
			 echo"<option>NOT NULL</option>";
			 echo"<option>NULL</option>";
			echo"</SELECT>";
		   echo"</TD>";
		   echo"<TD class=miTable_td>";
		    echo"<input type=checkbox name=busqueda[]>";
		   echo"</TD>";
		   echo"<TD class=miTable_td>";
		    echo"<input type=checkbox name=visualizacion[]>";
		   echo"</TD>";
		  echo"</TR>";
		 }
		 
		 
		 $afectadas=verificar_campos_consulta_avanzada($nit);
		 
		 $existe=$afectadas[0];
		 $cantidad=$afectadas[1];
		 
		 if($existe==0)
		  {
		   echo"<TR>";
		    echo"<TD colspan=7 class=miTable_td><div align=right>No. Campos de consulta Avanzada:<Input type=text class=inputbox size=5 name=cantidad_campos_consulta></div></TD>";
		   echo"</TR>";
		  }
		  
		 else
		  {
		   echo"<TR>";
		    echo"<INPUT type=hidden value=noEditar name=cantidad_campos_consulta>";
		    echo"<TD colspan=7 class=miTable_td><div align=right>Se esta realizando la consulta avanzada por $cantidad campos si desea ";
			?>
			 <a href="actualiza_campo_consulta_avanzada.php?nit=<?php echo $nit; ?>", onClick="window.open('actualiza_campo_consulta_avanzada.php?nit=<?php echo $nit; ?>', 'window', 'width=400, height=200');return false">Actualice</a></div></TD>
			<?php			
		   echo"</TR>";
		  }
		 
		 
		 
		 echo"<TR>";
		  echo"<INPUT type=hidden value=$campos name=campos>";
		  echo"<INPUT type=hidden value=$tabla name=tabla>";
		  echo"<TD colspan=7 class=miTable_td><div align=right><input type=submit value=Cargar class=inputbox></div></TD>";
		 echo"</TR>";
		 echo"<TR class=miTable_tr>";
		  echo"<TH colspan=8 class=miTable_th1><div align=right>&nbsp;</Th>";
		 echo"</TR>";
		echo"</TABLE></CENTER>"; 
		echo"</FORM>";
  }
  
  function editar_campo($campo, $tabla, $nit)
  {  
   ?>   
   <CENTER>
    <form action="ejecuta_edicion_campo.php" method="POST">
    <table width="50%" border="0">
	 <tr class="miTable_tr">
	  <th class="miTable_th1">Campo</th>
	  <th class="miTable_th1">Tipo</th>
	  <th class="miTable_th1">Longitud</th>
	  <th class="miTable_th1">Null</th>
	 </tr>
	 <?php	  
	  $sql="SHOW COLUMNS FROM $tabla";
	  $resultado=mysql_db_query("virtualcourier","$sql") or die("<HR><font class=\"font_errores\">Proceso Terminado Consulte con el Grupo de Desarrollo Error No. 2.1.14 /</font>" . mysql_errno() . "<BR><hr>");
	  
	  while($row=mysql_fetch_array($resultado))
	   {
	    if($row['Field']==$campo)
		 {
	      echo"<td class=miTable_td><center><input type=text name=campo value=".$row['Field']." class=inputbox></center></td>";
		  echo"<td class=miTable_td>";
		   echo"<center><select name=tipoCampo class=inputbox>";
			 echo"<option>VARCHAR</option>";
			 echo"<option>CHAR</option>";
			 echo"<option>INT</option>";
			 echo"<option>DOUBLE</option>";
			 echo"<option>FLOAT</option>";
			echo"</select></center>";
		  echo"</td>";
		  echo"<td class=miTable_td>";
		   echo"<center><input type=text name=longitudCampo class=inputbox></center>";
		  echo"</td>";
		  echo"<td class=miTable_td>";
		   echo"<SELECT name=nuloCampo class=inputbox>";
			 echo"<option>NOT NULL</option>";
			 echo"<option>NULL</option>";
			echo"</SELECT>";
		  echo"</td>";
		 }
	   }
	   $busqueda=tomar_checkeado_busqueda($nit, $campo);
	   $visualizacion=tomar_checkeado_visualizado($nit, $campo);	   
	 ?>
	 <tr class="miTable_tr">
	  <th class="miTable_th1">Busqueda:</th>
	  <th class="miTable_th1"><center><input type="checkbox" name="buscar" <?echo $busqueda;?>></center></th>
	  <th class="miTable_th1">Resultado:</th>
	  <th class="miTable_th1"><center><input type="checkbox" name="visual" <?echo $visualizacion;?>></center></th>
	 </tr>
	 <tr>
	  <INPUT type="hidden" value="<?php echo $tabla?>" name="tabla">	 
	  <INPUT type="hidden" value="<?php echo $campo?>" name="valor_original">	 
	  <INPUT type="hidden" value="<?php echo $nit?>" name="nit">	 
	  <td colspan="4"><div align="right"><input type="submit" name="envia" value="Editar" class="inputbox" onClick="validarforma('campo','','R','longitudCampo','','R');return document.MM_returnValue"></div></td>
	 </tr>
	</table>
	</form>
	</center>
   <?php     
  }
  
  function crear_estado()
  {
   ?>
    <center>
	<form action="creacion_estados.php" method="POST">
    <table width="50%" border="0">
	 <tr class="miTable_tr">
	  <th class="miTable_th1" colspan="2">Creacion de Estados</th>
	 </tr>
	 <tr class="miTable_tr">
	  <td class="miTable_td">Cuantos estados desea crear: </td>
	  <td class="miTable_td"><div align="left"><input type="text" name="Noestado" class="inputbox" size="5"></div></td>
	 </tr>
	 <tr>
	  <td class="miTable_td">&nbsp;</td>
	  <td class="miTable_td"><div align="left"><input type="submit" value="Crear" class="inputbox"></div></td>
	 </tr>
	 <tr class="miTable_tr">
	  <th class="miTable_th1" colspan="2">&nbsp;</th>
	 </tr>
	</table>
	</form>
	</center>
   <?php
  }
  
  function despliaga_creacion_estados($Noestado, $nit_empresa)
  {
   $sql="SELECT * FROM segundo_campo where nit_empresa = '$nit_empresa'";
   $resultado=mysql_db_query("virtualcourier", "$sql");
   $filas=mysql_num_rows($resultado);
   if($filas>0)
    {
     $disabled="disabled=true";
    }
   else
    {
     $disabled="";
    }
  
    echo"<CENTER><FORM action=guarda_estado.php method=GET>";
	echo"<TABLE width=60% border=0>";
	echo"<tr class=miTable_tr>";
	 echo"<th class=miTable_th1 colspan=4>Creacion de Estados</Th>";
	echo"</tr>";
	echo"<TR class=miTable_tr>";
	 echo"<TD class=miTable_td width=10%>&nbsp;</TD>";
	 echo"<TD class=miTable_td width=30%><CENTER>Codigo</CENTER></TD>";
	 echo"<TD class=miTable_td width=30%><CENTER>Nombre</CENTER></TD>";	 
	echo"</TR>";
    for($i=0; $i<=$Noestado-1; $i++)
	 {
	  $j=$i+1;
	   echo"<TR class=miTable_tr>";
	    echo"<TD class=miTable_td>$j</TD>";
	    echo"<TD class=miTable_td><CENTER><input type=text name=codigo$i class=inputbox size=10></CENTER></TD>";
	    echo"<TD class=miTable_td><CENTER><input type=text name=nombre$i class=inputbox size=30></CENTER></TD>";
	    
	   echo"</TR>";
	 }
	 echo"<TR class=miTable_tr>";
	 //echo"<input type type=hidden value=$id_empresa name=id_empresa>";
	 echo"<input type=hidden value=$Noestado name=Noestado>";
         ?>
	 <TD colspan=4 class=miTable_td><CENTER><input type=submit value="Guardar Estados" class=inputbox onClick="validarforma('codigo0','','R','nombre0','','R','codigo1','','R','nombre1','','R','codigo2','','R','nombre2','','R','codigo3','','R','nombre3','','R','codigo4','','R','nombre4','','R','codigo5','','R','nombre5','','R','codigo6','','R','nombre6','','R','codigo7','','R','nombre7','','R','codigo8','','R','nombre8','','R','codigo9','','R','nombre9','','R','codigo10','','R','nombre10','','R','codigo11','','R','nombre11','','R','codigo12','','R','nombre12','','R');return document.MM_returnValue"></center></TD>
	<?php
        echo"</TR>";
	echo"<tr class=miTable_tr>";
	 echo"<th class=miTable_th1 colspan=4>&nbsp;</Th>";
	echo"</tr>"; 
	echo"</TABLE>";	
	echo"</FORM></CENTER>";
  }

function formulario_cargar_archivo($programa, $titulo)
{ 
 ?>
  <center>
  <FORM action="<? echo $programa;?>" method="POST" enctype="multipart/form-data">
  <table>
   <tr  class="miTable_tr">
    <th  class="miTable_th1" colspan="2"><?php echo $titulo;?></th>
   </tr>
   <tr class="miTable_tr">
    <td class="miTable_td">Seleccione Datos<?php echo $titulo;?>: </td>
    <td class="miTable_td"><div align="left"><input type="file" name="archivo" class="inputbox"></div> </td>
   </tr>
   <tr class="miTable_tr">
    <td class="miTable_td">Cual es el separador: </td>
	<td class="miTable_td"><div align="left">
	<select name="separador" class="inputbox">
	 <option value=";">;  (Punto y Coma)</option>
	 <option value=",">,  (Coma)</option>
	 <option value="-">-  (Guion)</option>
	 <option value=".">.  (Punto)</option>
	</select>
	</div></td>
   </tr>
   <tr class="miTable_tr">
    <td class="miTable_td">&nbsp;</td>
    <td class="miTable_td"><div align="left"><input type="submit" value="Cargar <?php echo $titulo;?>" class="inputbox" onClick="validarforma('archivo','','R');return document.MM_returnValue" class="inputbox"></div></td>
   </tr>   
   <tr  class="miTable_tr">
    <th  class="miTable_th1" colspan="2">&nbsp;</th>
   </tr>
  </table>
  </FORM>
  </center>

 <?php
}
  
function formulario_consultar($tabla, $codigo_cliente, $nit)
{ 
 ?>
 <center>
 <form action="consulta_campo.php" method="GET">
 <table width="50%" border="0">
  <tr class="miTable_tr">
   <th  class="miTable_th1" colspan="2">Consulta de envios:</th>
  </tr>
  <tr class="miTable_tr">
   <td class="miTable_td">Seleccione Campo:</td>
   <td class="miTable_td"><div align="left">
     <select name="campo" class="inputbox">	 
	 <option value="guia">GUIA</option>
	 <option value="ods">OIP</option>
	<?php	
	 $campos=tomar_campos_cliente($tabla, $nit, $valor="busqueda");
	 for($i=0; $i<=count($campos)-1; $i++)
           {
	   echo "<option>".$campos[$i]."</option>";
           }
	 ?> 
	</select>
	</div>   	
    </td>	
  </tr>
  <tr class="miTable_tr">
   <td  class="miTable_td">Dato a Buscar:</td>
   <td class="miTable_td"><div align="left"><input type="text" name="valor" class="inputbox" size="25"></div></td>
  </tr>
  <tr class="miTable_tr">
   <td class="miTable_td"></td>
   <input type="hidden" value="<?php echo $codigo_cliente;?>" name=codigo_cliente>
   <input type="hidden" value="<?php echo $nit;?>" name=nit_empresa>
   <input type="hidden" value="<?php echo $tabla;?>" name=tabla>
   <td class="miTable_td"><div align="left"><input type="submit" value="Buscar" class="inputbox"></div></td>
  </tr>
  <tr class="miTable_tr">
   <th class="miTable_th1" colspan="2">&nbsp;</th>
  </tr>
 </table>
 </form>
 </center>
 <?php
}  

function formulario_cargar_diseno()
{
 ?>
  <form action="carga_diseno.php" method="POST">
  <center>
  <table width="40%">
   <tr class="miTable_tr">
    <th class="miTable_th1" colspan="2">Carga Dise&ntilde;o</th>
   </tr>
   <tr class="miTable_tr">
    <td class="miTable_td">Seleccione Cliente:</td>
	<td class="miTable_td">
	 <div align="right"><select name="empresa" class="inputbox">
	  <?php tomar_seleccion_empresa();?>
	 </select></div>
	</td>
   </tr>
   <tr class="miTable_tr">
    <th class="miTable_th1">&nbsp;</th>
	<th class="miTable_th1"><div align="right"><input type="submit" value="Cargar" class="inputbox"></div></th>
   </tr>  
  </table>
  </center>
  </form>
 <?php
}

function formulario_seleccion_plano_cliente_masivo($empresa)
{
 ?>
  <center>
  <form action="carga_clientes_masivos.php" method="POST" enctype="multipart/form-data">
  <table width="40%">
   <tr class="miTable_tr">
    <th class="miTable_th1" colspan="2">Seleccion de PLANO</th>
   </tr>
   <tr class="miTable_tr">
    <td class="miTable_td">Seleccione Archivo: </td>
	<td class="miTable_td"><input type="file" name="archivo"  class="inputbox"></td>
   </tr>
   <tr class="miTable_tr">
    <td class="miTable_td">Seperador: </td>
	<td class="miTable_td">
	 <select name="separador" class="inputbox">
	  <option value=";">;(punto y coma)</option>
	  <option value=",">,(coma)</option>
	  <option value="-">-(guion)</option>	  
	  <option value=".">.(punto)</option>	  
	 </select>
	</td>
   </tr>
   <tr class="miTable_tr">
    <input type="hidden" name="empresa" value="<? echo $empresa;?>">
    <td class="miTable_th1" colspan="2"><div align="right"><input type="submit" value="Cargar" class="inputbox"></div></td>
   </tr>
  </table>
  </form>
  </center>
 <?php
}

function formulario_consulta_cliente_administrador($tabla, $nit_empresa)
{
 $campos=tomar_campos_all($tabla); 
 ?>
  <center>
  <form action="consulta_total.php" method="POST">
   <table>
    <tr class="miTable_tr">
	 <th class="miTable_th1" colspan="2">Consulta de Documentos: </th>
	</tr>
	<tr class="miTable_tr">
	 <td class="miTable_td">Seleccione Campo: </td>
	 <td class="miTable_td">
	  <select name="campo" class="inputbox"> 
	   <?php
	    for($i=1; $i<=count($campos)-1; $i++)
		 {
		   if($campos[$i]=="ods")		    {
			 echo"<option value=$campos[$i]>OIP</option>";			}
		   else if($campos[$i]=="codigo_cliente")		    {
			 echo"<option value=$campos[$i]>CODIGO CLIENTE</option>";			}
		   else if($campos[$i]=="guia")		    {
			 echo"<option value=$campos[$i]>GUIA</option>";			}
		   else if($campos[$i]=="lote")		    {
			 echo"<option value=$campos[$i]>LOTE</option>";			}
		   else if($campos[$i]=="estado")		    {
			 echo"<option value=$campos[$i]>ESTADO</option>";			}
		   else		    {
			 echo"<option value=$campos[$i]>".strtoupper($campos[$i])."</option>";			}
		 }
	   ?>
	  </select>
	 </td>
	</tr>
	<tr class="miTable_tr">
         <td class="miTable_td">Seleccione Empresa: </td>
         <td class="miTable_td">
          <select class="inputbox" name=empresa>
           <?php mostrar_clientes_opcion($nit_empresa);?>
          </select>

         </td>
	</tr>
	<tr class="miTable_tr">
	 <td class="miTable_td">Dato a Buscar:</td>
	 <td class="miTable_td"><input type="text" name="valor" class="inputbox"> </td>
	</tr>
	<tr class="miTable_tr">
	 <input type="hidden" name="nit_empresa" value="<?php echo $nit_empresa?>">
	 <th class="miTable_th1" colspan="2"><div align="right"><input type="submit" value="Consultar" class="inputbox"></div></th>
	</tr>
   </table>
   </form>
  </center>
 <?php
}

function seleccionar_carge($programa)
{
 ?>
  <form action="seleccion_carga.php" method="POST">
  <center>
  <table class="primaria">
   <tr class="miTable_tr">
    <th class="miTable_th1">Seleccione Tipo de Carge</th>
   </tr>
   <tr class="miTable_tr">
    <td class="miTable_td">
     <center>
     <select class="inputbox" name="tipo_carge">
       <option title="Actualizacion Completa" value="1">Actualizacion Completa</option>
       <option title="Actualizacion de Estados" value="2">Actualizacion Estado</option>
     </select>
     </center>
    </td>
   </tr>
   <tr class="miTable_tr">
    <td class="miTable_td">
     <center>
     <input type="hidden" name="programa" value="<?php echo"".$programa ?>">
     <input type="submit" class="inputbox" value="Seleccionar" name="envia">
     </center>
    </td>
   </tr>
  </table>
  </center>
  </form>
 <?php
}

function formulario_crear_menu()
{
 ?>
 <form action="crea_menu.php" method="POST">
 <table border="0" align="center">
  <TR class="miTable_tr">
   <TH class="miTable_th1" colspan="2">Paso 1 (Creacion Menu)</TH>   
  </TR>
  <TR class="miTable_tr">
   <TD class="miTable_td">Nombre: </TD>
   <TD class="miTable_td"><input type="text" name="nombre_menu" class="inputbox"></TD>
  </TR>  
  <TR class="miTable_tr">
   <TD class="miTable_td">Perfil: </TD>
   <TD class="miTable_td"><?php mostrar_seleccion_perfiles();?></TD>
  </TR>  
  <TR class="miTable_tr">   
   <TH class="miTable_th1" colspan="2"><div align="right"><input type="submit" value="Continuar" class="inputbox" name="envia"></div></TH>
  </TR>
 </table>
 </form>
 <?php
}

function formulario_crear_funcionalidad($id_menu)
{
 ?>
  <form action="guarda_funcionalidad.php" method="POST">
  <table border="0" align="center">
   <TR class="miTable_tr">
    <TD class="miTable_td">Nombre de Funcionalidad:</TD>
    <TD class="miTable_td"><input type="text" name="nombre_funcionalidad" class="inputbox"></TD>    
   </TR>
   <TR class="miTable_tr">
    <TD class="miTable_td">Script:</TD>
    <TD class="miTable_td"><input type="text" name="script" class="inputbox"></TD>    
   </TR>
   <TR class="miTable_tr">
    <TD class="miTable_td" colspan="2"><input type="submit" value="Crear" class="inputbox"></TD>
   </TR>
  </table>
  <input type="hidden" name="id_menu" value="<?php echo $id_menu;?>">
  </form>
 <?php
}

function formulario_consultar_historiko($tabla, $tabla_novedades, $codigo_cliente, $nit)
{
 ?>
 <center>
 <form action="consulta_campo_historico.php" method="GET">
 <table width="50%" border="0">
  <tr class="miTable_tr">
   <th  class="miTable_th1" colspan="2">Consulta de envios:</th>
  </tr>
  <tr class="miTable_tr">
   <td class="miTable_td">Seleccione Campo:</td>
   <td class="miTable_td"><div align="left">
     <select name="campo" class="inputbox">	 
	 <option>guia</option>
	 <option>ods</option>
	<?php	
	 $campos=tomar_campos_cliente($tabla, $nit, $valor="busqueda");
	 for($i=0; $i<=count($campos)-1; $i++)
	   echo "<option>".$campos[$i]."</option>";
	 ?> 
	</select>
	</div>   	
    </td>	
  </tr>
  <tr class="miTable_tr">
   <td  class="miTable_td">Dato a Buscar:</td>
   <td class="miTable_td"><div align="left"><input type="text" name="valor" class="inputbox" size="25"></div></td>
  </tr>
  <tr class="miTable_tr">
   <td class="miTable_td"></td>
   <input type="hidden" value="<?php echo $codigo_cliente;?>" name=codigo_cliente>
   <input type="hidden" value="<?php echo $tabla_novedades;?>" name=tabla_novedades>
   <input type="hidden" value="<?php echo $nit;?>" name=nit_empresa>
   <input type="hidden" value="<?php echo $tabla;?>" name=tabla>
   <input type="hidden" value="1" name=verifik>
   <input type="hidden" value="1" name=tipo_consulta>
   <td class="miTable_td"><div align="left"><input type="submit" value="Buscar" class="inputbox"></div></td>
  </tr>
  <tr class="miTable_tr">
   <th class="miTable_th1" colspan="2">&nbsp;</th>
  </tr>
 </table>
 </form>
 </center>
 <?php
}

function formulario_cargar_archivo_remoto($programa, $titulo, $ip_servidor,$nombreusuario_mysql,$password_mysql,$basedatos)
{ 
 ?>
  <center>
  <FORM action="<? echo $programa;?>" method="POST" enctype="multipart/form-data">
  <table>
   <tr  class="miTable_tr">
    <th  class="miTable_th1" colspan="2"><?php echo $titulo;?></th>
   </tr>
   <tr class="miTable_tr">
    <td class="miTable_td">Seleccione Datos<?php echo $titulo;?>: </td>
    <td class="miTable_td"><div align="left"><input type="file" name="archivo" class="inputbox"></div> </td>
   </tr>
   <tr class="miTable_tr">
    <td class="miTable_td">Cual es el separador: </td>
	<td class="miTable_td"><div align="left">
	<select name="separador" class="inputbox">
	 <option value=",">,  (Coma)</option>
	 <option value=";">;  (Punto y Coma)</option>
	 <option value="-">-  (Guion)</option>
	 <option value=".">.  (Punto)</option>	 
	</select>
	</div></td>
   </tr>
   <tr class="miTable_tr">
    <td class="miTable_td">&nbsp;</td>
    <INPUT type="hidden" name="ip_servidor" value="<?php echo"".$ip_servidor;?>">
    <INPUT type="hidden" name="nombreusuario_mysql" value="<?php echo"".$nombreusuario_mysql;?>">
    <INPUT type="hidden" name="password_mysql" value="<?php echo"".$password_mysql;?>">
    <INPUT type="hidden" name="basedatos" value="<?php echo"".$basedatos;?>">
    <td class="miTable_td"><div align="left"><input type="submit" value="Cargar <?php echo $titulo;?>" class="inputbox" onClick="validarforma('archivo','','R');return document.MM_returnValue" class="inputbox"></div></td>
   </tr>   
   <tr  class="miTable_tr">
    <th  class="miTable_th1" colspan="2">&nbsp;</th>
   </tr>
  </table>
  </FORM>
  </center>

 <?php
}

function mostrar_por_dias()
{
 ?>
  <center>
    <table>
     <TR class=miTable_tr><TD class=miTable_th1>Por Dias:</TD></TR>
     <TR class=miTable_tr><TD class=miTable_td><B>Del:</B> </TD></TR>
     <TR class=miTable_tr><TD class=miTable_td><?php tomar_dia($valor_variable="dia_inicial"); tomar_mes($valor_variable="mes_inicial"); tomar_anno($valor_variable="anno_inicial");?></TD></TR>
     <TR class=miTable_tr><TD class=miTable_td><B>Al:</B> </TD></TR>
     <TR class=miTable_tr><TD class=miTable_td><?php tomar_dia($valor_variable="dia_final"); tomar_mes($valor_variable="mes_final"); tomar_anno($valor_variable="anno_final");?></TD></TR>
    </table>
  </center>
 <?
}

function mostrar_por_horas()
{
 ?>
  <center>
    <table>
     <TR class=miTable_tr><TD class=miTable_th1>Por Horas:</TD></TR>
     <TR class=miTable_tr><TD class=miTable_td><B>Desde:</B> </TD></TR>
     <TR class=miTable_tr><TD class=miTable_td><?php tomar_hora($valor_variable="hora_inicial");?></TD></TR>
     <TR class=miTable_tr><TD class=miTable_td><B>Hasta:</B> </TD></TR>
     <TR class=miTable_tr><TD class=miTable_td><?php tomar_hora($valor_variable="hora_final");?></TD></TR>
    </table>
  </center>
 <?
}

?>